<?php

namespace App\Classes\Modules\Accounts\DataTransferObjects;


use App\Classes\Interfaces\DataTransferObject;

class RegistrationObject implements DataTransferObject
{
    /** @var string */
    private $email;

    /** @var string */
    private $name;

    /** @var string */
    private $password;

    /** @var string */
    private $confirmPassword;

    /**
     * RegistrationObject constructor.
     * @param string $email
     * @param string $name
     * @param string $password
     * @param string $confirmPassword
     */
    public function __construct(string $email, string $name, string $password, string $confirmPassword)
    {
        $this->email = $email;
        $this->name = $name;
        $this->password = $password;
        $this->confirmPassword = $confirmPassword;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getPassword(): string
    {
        return $this->password;
    }

    /**
     * @return string
     */
    public function getConfirmPassword(): string
    {
        return $this->confirmPassword;
    }



}